<%@ Page Title="" Language="VB" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage(Of IEnumerable (Of Maraton.CENTRO))" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
  <%: Resources.Messages.label_menu_contacto %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBIjdeRJszEfvxE0_I_mb8Q9FXXywK2cCI&sensor=false"></script>
    
    <script type="text/javascript" src="../../Scripts/Google.js"></script>
       
    <table>

    <% For Each item In Model%>
    
        <tr>
            <td style="text-align:center" colspan="2">
                <h1><%: item.DS_TITULO%></h1>
            </td>
        </tr>
        <tr>
            <td colspan="2" class="subtitulo">
                <%: Resources.Messages.label_contacto_centro %>
            </td>
        </tr>   
        <tr>
            <td colspan="2" class="descripcion">
                <%: item.DS_CENTRO%>
            </td>
        </tr>
        <tr>
            <td colspan="2" class="subtitulo">
                <%: Resources.Messages.label_contacto_direccion %>
            </td>
        </tr>   
        <tr>
            <td colspan="2">
                <%: item.DS_DIRECCION%>
            </td>
        </tr>
        <tr>
            <td class="subtitulo">
                <%: Resources.Messages.label_telefono %>
            </td>
            <td class="subtitulo">
                <%: Resources.Messages.label_correo %>
            </td>
        </tr>   
        <tr>
            <td>
                <%: item.DS_TELEFONO%>
            </td>
            <td>
                <%: item.DS_EMAIL%>
            </td>
        </tr>
        <tr>
            <td colspan="2" align="center" class="subtitulo">
                <%  If item.GO_LATITUD Is Nothing Then%>
                    &nbsp;
                <%  Else%>
                    <%: Resources.Messages.label_ubicacion %>
                <% End If%>
            </td>
        </tr>   
        <tr>
            <td style="padding-bottom:10%;" colspan="2">
                <%  If item.GO_LATITUD Is Nothing Then%>
                    &nbsp;
                <%  Else%>
                    <div id="map<%: item.ID_CENTRO %>" style="width: 100%; height: 300px" >
                        <script type="text/javascript">
                            google.maps.event.addDomListener(window, 'load', cargarMaps('<b><%: item.DS_TITULO %></b>', '<%: item.GO_LATITUD %>', '<%: item.GO_LONGITUD %>', 'map<%: item.ID_CENTRO %>'));                        
                        </script>
                    </div>
                <% End If%>
            </td>
        </tr>
    
    <% Next%>

    </table>

</asp:Content>

