<%@ Page Language="VB" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage(Of Maraton.USUARIO)" %>

<asp:Content ID="datosTitle" ContentPlaceHolderID="TitleContent" runat="server">
  <%: Resources.Messages.label_menu_rincon_datos %>
</asp:Content>

<asp:Content ID="datosContent" ContentPlaceHolderID="MainContent" runat="server">
    <script type="text/javascript" src="../../Scripts/Functions.js"></script>

    <h1 style="text-align:center"><%: Resources.Messages.label_menu_rincon_datos %></h1>

    <% Using Html.BeginForm()%>
        <%: Html.ValidationSummary(True, Resources.Messages.msg_error_registro )%>
        <div>
            <table>
                <tr>
                    <td>
                        <%: Resources.Messages.label_nombre %>
                    </td>
                    <td>
                        <%: Html.TextBoxFor(Function(m) m.DS_NOMBRE)%>
                        <%: Html.ValidationMessageFor(Function(m) m.DS_NOMBRE)%>
                    </td>
                </tr>
                <tr>
                    <td>
                        <%: Resources.Messages.label_rincon_apellido_primer %>
                    </td>
                    <td>
                        <%: Html.TextBoxFor(Function(m) m.DS_APELLIDO1)%>
                        <%: Html.ValidationMessageFor(Function(m) m.DS_APELLIDO1)%>
                    </td>
                </tr>
                <tr>
                    <td>
                        <%: Resources.Messages.label_rincon_apellido_segundo %>
                    </td>
                    <td>
                        <%: Html.TextBoxFor(Function(m) m.DS_APELLIDO2)%>
                        <%: Html.ValidationMessageFor(Function(m) m.DS_APELLIDO2)%>
                    </td>
                </tr>
                <tr>
                    <td>
                        <%: Resources.Messages.label_rincon_login %>
                    </td>
                    <td>
                        <%: Html.TextBoxFor(Function(m) m.DS_LOGIN, New With {.readonly = True})%>
                    </td>
                </tr>
                <tr>
                    <td>
                        <%: Resources.Messages.label_rincon_password %>
                    </td>
                    <td>
                        <%: Html.PasswordFor(Function(m) m.DS_PASSWORD)%>
                        <%: Html.ValidationMessageFor(Function(m) m.DS_PASSWORD)%>
                    </td>
                </tr>
                <tr>
                    <td>
                        <%: Resources.Messages.label_rincon_password_repetir %>
                    </td>
                    <td>
                        <input type="password" name="txtPass" id="txtPass" />
                    </td>
                </tr>
                <tr>
                    <td>
                        <%: Resources.Messages.label_rincon_edad %>
                    </td>
                    <td>
                        <%: Html.TextBoxFor(Function(m) m.EN_EDAD, New With {.onkeypress = "return SoloNumeros(this, event)", .maxlength = 2})%>
                        <%: Html.ValidationMessageFor(Function(m) m.EN_EDAD)%>
                    </td>
                </tr>
                <tr>
                    <td>
                        <%: Resources.Messages.label_rincon_sexo %>
                    </td>
                    <td>
                        <%:Resources.Messages.label_rincon_hombre%><%: Html.RadioButtonFor(Function(m) m.CH_SEXO, "H", New With {.disabled = "disabled"})%>
                        <%:Resources.Messages.label_rincon_mujer%><%: Html.RadioButtonFor(Function(m) m.CH_SEXO, "M", New With {.disabled = "disabled"})%>
                    </td>
                </tr>
                <tr>
                    <td>
                        <%: Resources.Messages.label_correo %>
                    </td>
                    <td>
                        <%: Html.TextBoxFor(Function(m) m.DS_EMAIL)%>
                        <%: Html.ValidationMessageFor(Function(m) m.DS_EMAIL)%>
                    </td>
                </tr>
            </table>
                
            <p style="text-align:center">
                <input type="submit" value="<%: Resources.Messages.boton_modificar  %>" />
            </p>
        </div>
    <% End Using %>
</asp:Content>

