﻿Class Application

    Private Sub Application_DispatcherUnhandledException(ByVal sender As Object, ByVal e As System.Windows.Threading.DispatcherUnhandledExceptionEventArgs) Handles Me.DispatcherUnhandledException
        LogError(e.Exception)
    End Sub

    Private Sub Application_Exit(ByVal sender As Object, ByVal e As System.Windows.ExitEventArgs) Handles Me.Exit
        log4net.LogManager.Shutdown()
        Application.Current.Properties.Clear()
    End Sub

    Private Sub Application_Startup(ByVal sender As Object, ByVal e As System.Windows.StartupEventArgs) Handles Me.Startup
        Try
            log4net.Config.BasicConfigurator.Configure()
        Catch ex As Exception
            LogError(ex)
        End Try
    End Sub
End Class
