Imports Maraton.Admin.UI.Centros
Imports Maraton.Admin.UI.Comentarios
Imports Maraton.Admin.UI.Competiciones
Imports Maraton.Admin.UI.Instalaciones
Imports Maraton.Admin.UI.Ofertas
Imports Maraton.Admin.UI.Patrocinadores
Imports Maraton.Admin.UI.Premios
Imports Maraton.Admin.UI.Usuarios

Namespace UI


    ''' <summary>
    ''' Pantalla principal de la aplicación. 
    ''' Contiene el menú que redirecciona a cada pantalla
    ''' </summary>
    ''' <remarks>
    ''' Alberto Morgado Contreras 
    ''' amorgadoc@uoc.edu
    ''' 10/06/2013
    ''' </remarks>
    Partial Public Class Main

        Private Sub CentroCons_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles CentroCons.Click
            OcultarImagen()
            contenido.Content = New ConsultarCentrosUI
        End Sub

        Private Sub CentroCrear_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles CentroCrear.Click
            OcultarImagen()
            contenido.Content = New CrearCentroUI
        End Sub

        Private Sub Comentarios_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles Comentarios.Click
            OcultarImagen()
            contenido.Content = New ConsultarComentariosUI
        End Sub

        Private Sub CompCons_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles CompCons.Click
            OcultarImagen()
            contenido.Content = New ConsultarCompeticionesUI
        End Sub

        Private Sub CompCrear_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles CompCrear.Click
            OcultarImagen()
            contenido.Content = New CrearCompeticionUI
        End Sub

        Private Sub InstCons_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles InstCons.Click
            OcultarImagen()
            contenido.Content = New ConsultarInstalacionesUI
        End Sub

        Private Sub InstCrear_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles InstCrear.Click
            OcultarImagen()
            contenido.Content = New CrearInstalacionUI
        End Sub

        Private Sub OfertaCons_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles OfertaCons.Click
            OcultarImagen()
            contenido.Content = New ConsultarOfertasUI
        End Sub

        Private Sub OfertaCrear_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles OfertaCrear.Click
            OcultarImagen()
            contenido.Content = New CrearOfertaUI
        End Sub

        Private Sub PatroCons_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles PatroCons.Click
            OcultarImagen()
            contenido.Content = New ConsultarPatrocinadoresUI
        End Sub

        Private Sub PatroCrear_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles PatroCrear.Click
            OcultarImagen()
            contenido.Content = New CrearPatrocinadorUI
        End Sub

        Private Sub PremioCons_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles PremioCons.Click
            OcultarImagen()
            contenido.Content = New ConsultarPremiosUI
        End Sub

        Private Sub PremioCrear_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles PremioCrear.Click
            OcultarImagen()
            contenido.Content = New CrearPremioUI
        End Sub

        Private Sub UsuCons_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles UsuCons.Click
            OcultarImagen()
            contenido.Content = New ConsultarUsuariosUI
        End Sub

        Private Sub UsuCrear_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles UsuCrear.Click
            OcultarImagen()
            contenido.Content = New CrearUsuarioUI
        End Sub

        Private Sub Salir_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles Salir.Click
            Application.Current.Shutdown()
        End Sub

        Private Sub OcultarImagen()
            If Not logo.Visibility = Windows.Visibility.Hidden Then
                logo.Visibility = Windows.Visibility.Hidden
            End If
        End Sub

        Private Sub Main_Loaded(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Loaded
            Application.Current.MainWindow = Me
        End Sub
    End Class

End Namespace