﻿' Nota: para obtener instrucciones sobre cómo habilitar el modo clásico de IIS6 o IIS7, 
' visite http://go.microsoft.com/?LinkId=9394802

Public Class MvcApplication
    Inherits System.Web.HttpApplication

    Shared Sub RegisterRoutes(ByVal routes As RouteCollection)
        routes.IgnoreRoute("{resource}.axd/{*pathInfo}")
        routes.IgnoreRoute("Error.aspx/{*pathInfo}")
        ' MapRoute toma los siguientes parámetros, en el orden especificado:
        ' (1) Nombre de ruta
        ' (2) URL con parámetros
        ' (3) Valores predeterminados de los parámetros
        routes.MapRoute( _
            "Default", _
            "{controller}/{action}/{id}", _
            New With {.controller = "Home", .action = "Index", .id = UrlParameter.Optional} _
        )

    End Sub

    Sub Application_Start()
        AreaRegistration.RegisterAllAreas()
        RegisterRoutes(RouteTable.Routes)
        Dim l4net As String = Server.MapPath("~/log4net.config")
        log4net.Config.XmlConfigurator.ConfigureAndWatch(New System.IO.FileInfo(l4net))
    End Sub

End Class
