function cargarMaps(nombre, lat, lng, capa) {
    var mapOptions = {
        scaleControl: true,
        center: new google.maps.LatLng(lat, lng),
        zoom: 15,
        mapTypeId: google.maps.MapTypeId.ROADMAP};

    var map = new google.maps.Map(document.getElementById(capa), mapOptions);
    
    var marker = new google.maps.Marker({map: map, position: map.getCenter()});

    var infowindow = new google.maps.InfoWindow();
    infowindow.setContent(nombre);
    google.maps.event.addListener(marker, 'click', function () { infowindow.open(map, marker); });

}

function cargarRecorrido(capa, fichero) {

    var mapOptions = {
        scaleControl: true,
        zoom: 15,
        mapTypeId: google.maps.MapTypeId.TERRAIN
    };

    var mapa= new google.maps.Map(document.getElementById(capa), mapOptions);

    var myParser = new geoXML3.parser({ map: mapa });
    myParser.parse(fichero);

}
