<%@ Page Title="" Language="VB" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage(Of IEnumerable (Of Maraton.COMPETICION))" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
  <%: Resources.Messages.label_menu_competiciones %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBIjdeRJszEfvxE0_I_mb8Q9FXXywK2cCI&sensor=false"></script>
    
    <script type="text/javascript" src="../../Scripts/Google.js"></script>
       
    <script type="text/javascript" src="../../Scripts/geoxml3.js"></script>

    <table>

    <% For Each item In Model%>
    
        <tr>
            <td style="text-align:center">
                <h1><%: item.DS_TITULO %></h1>
            </td>
        </tr>   
        <tr>
            <td class="descripcion">
                <%: item.DS_COMPETICION%>
            </td>
        </tr>  
        <tr>
            <td class="subtitulo">
                <%: Resources.Messages.label_fecha_fin%>
            </td>
        </tr>   
        <tr>
            <td class="descripcion" >
                <%: String.Format("{0:dd/MM/yyyy}", item.DT_FECHA)%>
            </td>
        </tr>
        <tr>
            <td style="text-align:center" class="subtitulo">
                <%  If item.OB_RECORRIDO Is Nothing Then%>
                    &nbsp;
                <%  Else%>
                    <%: Resources.Messages.label_competicion_recorrido %>  
                <% End If%>              
            </td>
        </tr> 
        <tr>
            <td style="padding-bottom:10%;">
                <%  If item.OB_RECORRIDO Is Nothing Then%>
                    &nbsp;
                <%  Else%>
                    <div id="map<%: item.ID_COMPETICION %>" style="width: 100%; height: 300px; text-align:center" >
                        <script type="text/javascript">
                            google.maps.event.addDomListener(window, 'load', cargarRecorrido('map<%= item.ID_COMPETICION %>', '../../Kml/<%= item.ID_COMPETICION %>.kml'));
                        </script>
                    </div>
                <% End If%>
            </td>
        </tr>
    
    <% Next%>

    </table>

</asp:Content>

