<%@ Page Title="" Language="VB" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage(Of IEnumerable (Of Maraton.INSTALACION))" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
  <%: Resources.Messages.label_menu_instalaciones %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    
    <table>

    <% For Each item In Model%>
    
        <tr>
            <td colspan="2" style="text-align:center">
                <h1><%: item.DS_TITULO%></h1>
            </td>
        </tr>
        <tr>
            <td rowspan="4" style="vertical-align:middle;text-align:center">
            <% If Not item.OB_IMAGEN Is Nothing Then%>
                <img src="<%=Url.Action("GetImageInst","Home", new with {.id=item.ID_INSTALACION}) %>" alt="<%: item.DS_TITULO%>" />
            <% Else%>
                &nbsp;
            <% End If%>
            </td>
            <td class="subtitulo">
                <%: item.CENTROReference.Value.DS_TITULO %>
            </td>
        </tr>
        <tr>
            <td>
                <%: Resources.Messages.label_descripcion %>
            </td>
        </tr>   
        <tr>
            <td class="descripcion">
                <%: item.DS_INSTALACION %>
            </td>
        </tr>
        <tr>
            <td style="padding-bottom:10%;">
                &nbsp;
            </td>
        </tr>
    
    <% Next%>

    </table>

</asp:Content>

