<%@ Page Title="" Language="VB" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage(Of IEnumerable (Of Maraton.COMPETICION))" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
  <%: Resources.Messages.label_menu_rincon_inscripciones %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <h1 style="text-align:center"><%: Resources.Messages.label_menu_rincon_inscripciones %></h1>

    <p style="text-align:center">
        <%: ViewData("Resultado")%>
    </p>

    <table>
        <tr>
            <th>
                <%: Resources.Messages.label_nombre%>                
            </th>
        </tr>

    <% For Each item In Model%>
    
        <tr>
            <td>
                <%: item.DS_TITULO%>
            </td>
            <td>
                <% If item.DS_COMPETICION = "0" Then%>
                    <a href="<%: Url.Action("Inscripcion", "Rincon", new with {.id=item.ID_COMPETICION})%>">
                        <img src="../../Img/inscripcion.png" alt="<%: Resources.Messages.label_rincon_inscripciones_inscribirse %>" />
                    </a>
                <% Else%>
                    <a href="<%: Url.Action("ViewPdf", "Rincon", new with {.id=item.ID_COMPETICION})%>">
                        <img src="../../Img/pdf.gif" alt="<%: Resources.Messages.label_rincon_inscripciones_dorsal%>" />
                    </a>
                <% End If%>
            </td>
        </tr>
    
    <% Next%>

    </table>

</asp:Content>

