<%@ Page Title="" Language="VB" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage(Of IEnumerable (Of Maraton.COMENTARIO))" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
  <%: Resources.Messages.label_menu_rincon_comentarios %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBIjdeRJszEfvxE0_I_mb8Q9FXXywK2cCI&sensor=false"></script>
    
    <script type="text/javascript" src="../../Scripts/Google.js"></script>
       
    <script type="text/javascript" src="../../Scripts/geoxml3.js"></script>
    
    <h1 style="text-align:center"><%: Resources.Messages.label_menu_rincon_comentarios %></h1>        

    
    <p>
        <%: Html.ActionLink(Resources.Messages.boton_crear_comentario, "NuevoComentario", "Rincon")%>
    </p>
    
    <table>

    <% For Each item In Model%>
    
        <tr>
            <td class="subtitulo">
                <%: Resources.Messages.label_rincon_comentarios_autor %>                
            </td>
            <td>
                <%: item.USUARIOReference.Value.DS_NOMBRE & " " & item.USUARIOReference.Value.DS_APELLIDO1 & " " & _
                                                item.USUARIOReference.Value.DS_APELLIDO2%>
            </td>
        </tr> 
        <tr>
            <td class="subtitulo">
                <%: Resources.Messages.label_fecha %> 
            </td>
            <td>
                <%: String.Format("{0:g}", item.DT_FECHA)%>
            </td>
        </tr> 
        <tr>
            <td colspan="2" class="descripcion">
                <%: item.DS_COMENTARIO%>
            </td>
        </tr>  
        <tr>
            <td colspan="2" class="subtitulo" style="text-align:center">
                <%  If item.OB_RECORRIDO Is Nothing Then%>
                    &nbsp;
                <%  Else%>
                    <%: Resources.Messages.label_competicion_recorrido %>  
                <% End If%>              
            </td>
        </tr>   
        <tr>
            <td style="padding-bottom:10%" colspan="2">
                <%  If item.OB_RECORRIDO Is Nothing Then%>
                    &nbsp;
                <%  Else%>
                    <div id="map<%: item.ID_COMENTARIO %>" style="width: 100%; height: 300px; text-align:center" >
                        <script type="text/javascript">
                            google.maps.event.addDomListener(window, 'load', cargarRecorrido('map<%= item.ID_COMENTARIO %>', '../../Kml/<%= item.ID_COMENTARIO %>.kml'));
                        </script>
                    </div>
                <% End If%>
            </td>
        </tr>
    
    <% Next%>

    </table>

</asp:Content>
